//*******************************************************}
//                                                       }
//       Data Solutions Visual Component Library         }
//       BDE PackMate Unit                               }                                                       }
//       Copyright (c) 1998,99  Michael Harris           }
//       All rights reservrd                             )
//                                                       }
//*******************************************************}
//---------------------------------------------------------------------------
#ifndef dbPackMateUH
#define dbPackMateUH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <Db.hpp>
#include <BDE.hpp>
#include <DBTables.hpp>
#include <vcl\Dsgnintf.hpp>
//---------------------------------------------------------------------------
class PACKAGE TdbPackMateU : public TComponent
{
private:
  TBDEDataSet   *  ADataSet;
  AnsiString       FAbout;
  AnsiString       FOptData;
  bool             FValueOnStartup;
  bool             FVisiMode;
  bool             FShowRslt;
  bool             bValidData;
  bool             bValidParam;
  bool             bActiveTbl;
  bool             bDone;
protected:
  virtual DBIResult __fastcall AlterTblProp ( char * szOptData, char * szOptParam );
public:
  virtual DBIResult __fastcall QuickPack    ( void );
  virtual DBIResult __fastcall GenIndexs    ( void );
  virtual DBIResult __fastcall AlterLangDrv ( void );
  virtual DBIResult __fastcall AlterBlockSze( void );
  virtual DBIResult __fastcall AlterTblLevel( void );
  virtual DBIResult __fastcall Chk(DBIResult ErrorValue);
  __fastcall TdbPackMateU(TComponent* Owner);
__published:
  __property TBDEDataSet * DataSet     = { read=ADataSet,      write=ADataSet  };
  __property AnsiString    About       = { read=FAbout,        write=FAbout    };
  __property bool          VisiMode    = { read=FVisiMode,     write=FVisiMode };
  __property bool          ShowResult  = { read=FShowRslt,     write=FShowRslt };
};
//----------------------------------------------------------------------------
#endif
